Package: org.codehaus.groovy.tools

## [Groovy] Class DocGenerator

- org.codehaus.groovy.tools.DocGenerator

- Generate documentation about the methods provided by the Groovy Development Kit that enhance the standard JDK classes.

  Authors:
    Guillaume Laforge, John Wilson, Bernhard Huber, Paul King, Yasuharu Nakano

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `DocGenerator.DocSource` | `docSource`
    `File` | `outputDir`
    `List<File>` | `sourceFiles`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DocGenerator (List<File> sourceFiles, File outputFolder)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `generateAll()` Builds an HTML page from the structure of DefaultGroovyMethods.
    `` | `static void` | `main(String... args)` Main entry point.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### DocGenerator.DocSource docSource

    - #### File outputDir

    - #### List<File> sourceFiles

  - ### Constructor Detail

    - #### DocGenerator(List<File> sourceFiles, File outputFolder)

  - ### Method Detail

    - #### void generateAll()

      Builds an HTML page from the structure of DefaultGroovyMethods.

    - #### static void main(String... args)

      Main entry point.